"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyComponentGallery = void 0;
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const design_ui_external_link_1 = require("@teambit/design.ui.external-link");
const evangelist_elements_icon_1 = require("@teambit/evangelist.elements.icon");
const base_ui_text_text_sizes_1 = require("@teambit/base-ui.text.text-sizes");
const empty_component_gallery_module_scss_1 = __importDefault(require("./empty-component-gallery.module.scss"));
/**
 * page to be shown when workspace/scope has no components
 */
function EmptyComponentGallery({ name, children }) {
    return (react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.emptyComponentGallery },
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.title },
            react_1.default.createElement("span", null, "Export components to"),
            "\u00A0",
            react_1.default.createElement("span", null, name)),
        react_1.default.createElement("img", { src: "https://static.bit.dev/harmony/no-components.svg" }),
        children,
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.title },
            react_1.default.createElement("span", null, "New to Harmony?"),
            " \u00A0",
            react_1.default.createElement(design_ui_external_link_1.ExternalLink, { href: "https://harmony-docs.bit.dev/tutorial/install-bit/", className: empty_component_gallery_module_scss_1.default.purpleLink },
                react_1.default.createElement("span", { className: empty_component_gallery_module_scss_1.default.text }, "Start tutorial"),
                react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "right_arrow", className: (0, classnames_1.default)(empty_component_gallery_module_scss_1.default.icon, base_ui_text_text_sizes_1.textSize.xxs) }))),
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.bottomText }, "We're here to help"),
        react_1.default.createElement(IconLine, null)));
}
exports.EmptyComponentGallery = EmptyComponentGallery;
function IconLine() {
    return (react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.iconLine },
        react_1.default.createElement(design_ui_external_link_1.ExternalLink, { href: "https://join.slack.com/t/bit-dev-community/shared_invite/zt-o2tim18y-UzwOCFdTafmFKEqm2tXE4w" },
            react_1.default.createElement("img", { alt: "slack-logo", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/slack-round-icon.svg" })),
        react_1.default.createElement(design_ui_external_link_1.ExternalLink, { href: "https://github.com/teambit/bit" },
            react_1.default.createElement("img", { alt: "github-logo", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/github.svg" })),
        react_1.default.createElement(design_ui_external_link_1.ExternalLink, { href: "https://bit.dev/support" },
            react_1.default.createElement("img", { alt: "support", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/support.svg" }))));
}
//# sourceMappingURL=empty-component-gallery.js.map